Package: org.grails.plugins.web.controllers

## [Groovy] Class GrailsWebMvcConfigurer

- org.grails.plugins.web.controllers.ControllersGrailsPlugin.GrailsWebMvcConfigurer

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `addMappings`
    `java.lang.Integer` | `cachePeriod`
    `java.lang.String` | `resourcesPattern`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ControllersGrailsPlugin.GrailsWebMvcConfigurer (java.lang.Integer cachePeriod, boolean addMappings = true, java.lang.String resourcesPattern = '/static/**')`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addResourceHandlers(org.springframework.web.servlet.config.annotation.ResourceHandlerRegistry registry)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter` | `org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter#getValidator(), org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter#configurePathMatch(org.springframework.web.servlet.config.annotation.PathMatchConfigurer), org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter#configureContentNegotiation(org.springframework.web.servlet.config.annotation.ContentNegotiationConfigurer), org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter#configureAsyncSupport(org.springframework.web.servlet.config.annotation.AsyncSupportConfigurer), org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter#configureDefaultServletHandling(org.springframework.web.servlet.config.annotation.DefaultServletHandlerConfigurer), org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter#addFormatters(org.springframework.format.FormatterRegistry), org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter#addInterceptors(org.springframework.web.servlet.config.annotation.InterceptorRegistry), org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter#addResourceHandlers(org.springframework.web.servlet.config.annotation.ResourceHandlerRegistry), org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter#addCorsMappings(org.springframework.web.servlet.config.annotation.CorsRegistry), org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter#addViewControllers(org.springframework.web.servlet.config.annotation.ViewControllerRegistry), org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter#configureViewResolvers(org.springframework.web.servlet.config.annotation.ViewResolverRegistry), org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter#addArgumentResolvers(java.util.List), org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter#addReturnValueHandlers(java.util.List), org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter#configureMessageConverters(java.util.List), org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter#extendMessageConverters(java.util.List), org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter#configureHandlerExceptionResolvers(java.util.List), org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter#extendHandlerExceptionResolvers(java.util.List), org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter#getMessageCodesResolver(), org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter#wait(long, int), org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter#wait(long), org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter#wait(), org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter#equals(java.lang.Object), org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter#toString(), org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter#hashCode(), org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter#getClass(), org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter#notify(), org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### boolean addMappings

    - #### java.lang.Integer cachePeriod

    - #### java.lang.String resourcesPattern

  - ### Constructor Detail

    - #### ControllersGrailsPlugin.GrailsWebMvcConfigurer(java.lang.Integer cachePeriod, boolean addMappings = true, java.lang.String resourcesPattern = '/static/**')

  - ### Method Detail

    - #### @java.lang.Override @java.lang.Override void addResourceHandlers(org.springframework.web.servlet.config.annotation.ResourceHandlerRegistry registry)